Bug 208088 - net/tigervnc: Build failure with HPJPG option enabled
Summary: net/tigervnc: Build failure with HPJPG option enabled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-03-17 14:23 UTC by Tobias Kortkamp
Modified: 2016-03-19 17:54 UTC (History)
2 users (show)

See Also:
meta: maintainer-feedback+


Attachments
Failing build log (33.40 KB, text/plain)
2016-03-17 14:23 UTC, Tobias Kortkamp
no flags Details
tigervnc.diff (1.08 KB, patch)
2016-03-17 14:24 UTC, Tobias Kortkamp
meta: maintainer-approval+
Details | Diff
Build log with patch applied (302.31 KB, text/x-log)
2016-03-17 14:24 UTC, Tobias Kortkamp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2016-03-17 14:23:11 UTC
Created attachment 168324 [details]
Failing build log

On a whim I enabled the HPJPG option in the tigervnc port and building it fails.  I'm attaching the build log.

Building succeeds again when the option is disabled.

Looking at the Makefile the option seems to be unnecessary since ports r397084 which switched to graphics/jpeg-turbo as the default JPEG library.  I'm attaching a patch that removes the option.
Comment 1 Tobias Kortkamp freebsd_committer 2016-03-17 14:24:04 UTC
Created attachment 168325 [details]
tigervnc.diff
Comment 2 Tobias Kortkamp freebsd_committer 2016-03-17 14:24:31 UTC
Created attachment 168326 [details]
Build log with patch applied
Comment 3 Koichiro Iwao freebsd_committer 2016-03-18 00:35:31 UTC
LGTM, thanks.
Comment 4 Mark Felder freebsd_committer 2016-03-19 17:50:48 UTC
Thank you for catching this.
Comment 5 commit-hook freebsd_committer 2016-03-19 17:54:41 UTC
A commit references this bug:

Author: feld
Date: Sat Mar 19 17:53:43 UTC 2016
New revision: 411418
URL: https://svnweb.freebsd.org/changeset/ports/411418

Log:
  net/tigervnc: Remove HPJPG option

  The HPJPG option has been broken and irrelevant since the ports tree
  changed to make jpeg-turbo the default jpeg provider in r397084

  PR:		208088
  Approved by:	maintainer
  MFH:		2016Q1

Changes:
  head/net/tigervnc/Makefile
Comment 6 commit-hook freebsd_committer 2016-03-19 17:54:42 UTC
A commit references this bug:

Author: feld
Date: Sat Mar 19 17:54:27 UTC 2016
New revision: 411419
URL: https://svnweb.freebsd.org/changeset/ports/411419

Log:
  MFH: r411418

  net/tigervnc: Remove HPJPG option

  The HPJPG option has been broken and irrelevant since the ports tree
  changed to make jpeg-turbo the default jpeg provider in r397084

  PR:		208088
  Approved by:	maintainer
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/net/tigervnc/Makefile